## openscap 1.4.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8...3.19)

# Inspired and referenced from https://blog.kitware.com/cmake-and-the-default-build-type
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	message(STATUS "Setting build type to 'Release' as none was specified.")
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
	set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
		"MinSizeRel" "RelWithDebInfo")
endif()

project("openscap")
set(OPENSCAP_VERSION_MAJOR "1")
set(OPENSCAP_VERSION_MINOR "4")
set(OPENSCAP_VERSION_PATCH "0")

if(OPENSCAP_VERSION_SUFFIX)
	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}_${OPENSCAP_VERSION_SUFFIX}")
else()
	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}")
endif()

# libtool versioning
# See http://sources.redhat.com/autobook/autobook/autobook_91.html#SEC91 for details

## increment if the interface has additions, changes, removals.
set(LT_CURRENT 33)

## increment any time the source changes; set 0 to if you increment CURRENT
set(LT_REVISION 0)

## increment if any interfaces have been added; set to 0
## if any interfaces have been changed or removed. removal has
## precedence over adding, so set to 0 if both happened.
set(LT_AGE 0)

math(EXPR LT_CURRENT_MINUS_AGE "${LT_CURRENT} - ${LT_AGE}")

set(SONAME ${LT_CURRENT_MINUS_AGE}.${LT_AGE}.${LT_REVISION})
set(SOVERSION ${LT_CURRENT_MINUS_AGE})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

message(STATUS "OpenSCAP ${OPENSCAP_VERSION}")
message(STATUS "(see ${CMAKE_SOURCE_DIR}/docs/developer/developer.adoc for build instructions)")
message(STATUS " ")

# Strictly speaking in-source will work but will be very messy, let's
# discourage our users from using them
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
	message(FATAL_ERROR "In-source builds are not supported! Please use out of source builds:\n"
		"$ cd openscap\n"
		"$ rm CMakeCache.txt\n"
		"$ cd build\n"
		"$ cmake ../\n"
		"$ make -j4"
		)
endif()

# In Microsoft Visual Studio, store built binaries to a single directory.
# We need to build all the binaries in a single directory on Windows, because
# vcpkg tool fails to fetch dependent DLLs (libxml, libcurl, etc.) if
# oscap.exe is build to a different directory than openscap.dll.
# See the discussion in https://github.com/Microsoft/vcpkg/issues/1002
if(MSVC)
	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_PDB_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

# ---------- INCLUDES CMAKE MODULES

include(GNUInstallDirs)
include(FindPkgConfig)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckCSourceCompiles)
include(CMakeDependentOption)

# ---------- DEPENDENCIES

find_package(ACL)
if(ACL_FOUND)
	check_library_exists("${ACL_LIBRARY}" acl_extended_file "" HAVE_ACL_EXTENDED_FILE)
	check_include_file(acl/libacl.h HAVE_ACL_LIBACL_H)
	check_include_file(sys/acl.h HAVE_SYS_ACL_H)
endif()

find_package(Blkid)
if(BLKID_FOUND)
	check_library_exists("${BLKID_LIBRARY}" blkid_get_tag_value "" HAVE_BLKID_GET_TAG_VALUE)
endif()

find_package(Cap)
if(CAP_FOUND)
	check_library_exists("${CAP_LIBRARIES}" cap_get_pid "" HAVE_CAP_GET_PID)
endif()

find_package(CURL)
find_package(DBUS)
find_package(Doxygen)
find_package(GConf)
find_package(Ldap)
find_package(OpenDbx)
find_package(PCRE2 REQUIRED)

find_package(PerlLibs)
find_package(Popt)
find_package(Systemd)

find_package(Procps)
if(PROCPS_FOUND)
	check_library_exists("${PROCPS_LIBRARY}" dev_to_tty "" HAVE_DEV_TO_TTY)
	check_include_file(proc/devname.h HAVE_PROC_DEVNAME_H)
endif()

# According to CMake documentation:
# https://cmake.org/cmake/help/latest/module/FindPythonInterp.html
# If calling both find_package(PythonInterp) and find_package(PythonLibs),
# call find_package(PythonInterp) first to get the currently active Python
# version by default with a consistent version of PYTHON_LIBRARIES.
find_package(PythonInterp 3)
find_package(PythonLibs 3)

set(PREFERRED_PYTHON_PATH "${PYTHON_EXECUTABLE}" CACHE PATH "Path to preferred Python")
set(PYTHON3_PATH "${PYTHON_EXECUTABLE}" CACHE PATH "Path to Python3")

find_package(RPM)
if(RPM_FOUND)
	check_library_exists("${RPM_LIBRARY}" rpmReadConfigFiles "" HAVE_RPMREADCONFIGFILES)
	check_library_exists("${RPM_LIBRARY}" headerFormat "" HAVE_HEADERFORMAT)
	check_library_exists("${RPMIO_LIBRARY}" rpmFreeCrypto "" HAVE_RPMFREECRYPTO)
	check_library_exists("${RPM_LIBRARY}" rpmFreeFilesystems "" HAVE_RPMFREEFILESYSTEMS)
	check_library_exists("${RPM_LIBRARY}" rpmVerifyFile "" HAVE_RPMVERIFYFILE)
	set(HAVE_RPMVERCMP 1)
endif()

find_package(SELinux)
find_package(SWIG)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)
find_package(XMLSEC REQUIRED)
if (APPLE)
	set(OPENSSL_ROOT_DIR "/usr/local/opt/openssl/")
endif()
find_package(OpenSSL REQUIRED)
add_definitions(${XMLSEC_DEFINITIONS})
if (WIN32)
	add_compile_definitions("XMLSEC_CRYPTO_OPENSSL")
endif()
find_package(BZip2)

# PThread
if (WIN32)
	find_package(ZLIB REQUIRED)
endif()

if (WIN32 AND NOT MINGW)
	find_package(pthread CONFIG REQUIRED)
	set(CMAKE_THREAD_LIBS_INIT ${PThreads4W_LIBRARY})
else()
	find_package(Threads REQUIRED)
endif()
set(CMAKE_THREAD_PREFER_PTHREAD)
set(THREADS_PREFER_PTHREAD_FLAG)
set(THREADS_USE_PTHREADS_WIN32 TRUE)
check_library_exists(pthread pthread_timedjoin_np "" HAVE_PTHREAD_TIMEDJOIN_NP)
check_library_exists(pthread pthread_setname_np "" HAVE_PTHREAD_SETNAME_NP)
check_library_exists(pthread pthread_getname_np "" HAVE_PTHREAD_GETNAME_NP)

# WITH_CRYPTO
set(WITH_CRYPTO "gcrypt" CACHE STRING "gcrypt|nss")
if(${WITH_CRYPTO} STREQUAL "nss")
	message("-- Using NSS")
	find_package(NSS)
else()
	message("-- Using GCrypt")
	find_package(GCrypt)
endif()
if(GCRYPT_FOUND OR NSS_FOUND)
	set(CRYPTO_FOUND TRUE)
endif()

find_package(Libyaml)
if(EXISTS ${CMAKE_SOURCE_DIR}/yaml-filter/CMakeLists.txt)
	message(STATUS "yaml-filter was found")
	set(YAML_FILTER_FOUND TRUE)
else()
	message(STATUS "yaml-filter was not found")
	set(YAML_FILTER_FOUND FALSE)
endif()

message("-- Using PCRE2")

check_library_exists(rt clock_gettime "" HAVE_CLOCK_GETTIME)
check_function_exists(posix_memalign HAVE_POSIX_MEMALIGN)
check_function_exists(memalign HAVE_MEMALIGN)
check_function_exists(fts_open HAVE_FTS_OPEN)
check_function_exists(strsep HAVE_STRSEP)
check_function_exists(strptime HAVE_STRPTIME)

check_include_file(syslog.h HAVE_SYSLOG_H)
check_include_file(stdio_ext.h HAVE_STDIO_EXT_H)
check_include_file(shadow.h HAVE_SHADOW_H)
check_include_file(sys/systeminfo.h HAVE_SYS_SYSTEMINFO_H)
check_include_file(getopt.h HAVE_GETOPT_H)
check_include_file(sys/mman.h HAVE_MMAN_H)
check_include_file(sys/uio.h HAVE_UIO_H)
check_include_file(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_file(attr/xattr.h HAVE_ATTR_XATTR_H)
check_include_files("sys/types.h;sys/extattr.h" HAVE_SYS_EXTATTR_H)

# HAVE_ATOMIC_BUILTINS
check_c_source_compiles("#include <stdint.h>\nint main() {uint16_t foovar=0; uint16_t old=1; uint16_t new=2;__sync_bool_compare_and_swap(&foovar,old,new); return __sync_fetch_and_add(&foovar, 1); __sync_fetch_and_add(&foovar, 1);}" HAVE_ATOMIC_BUILTINS)
if(NOT HAVE_ATOMIC_BUILTINS)
	message(WARNING "!!! Compiler does not support atomic builtins. Atomic operation will be emulated using mutex-based locking. !!!")
endif()

mark_as_advanced(ENV_PRESENT VALGRIND_PRESENT)
find_program(ENV_PRESENT env)
find_program(VALGRIND_PRESENT valgrind)
find_program(ASCIIDOC_EXECUTABLE asciidoc)
find_program(SED_EXECUTABLE sed)
find_program(GIT_EXECUTABLE git)

# ---------- CORE FEATURE SWITCHES
if(WIN32 OR APPLE)
	option(ENABLE_SCE "enables Script Check Engine - an alternative checking engine that lets you use executables instead of OVAL for checks" OFF)
else()
	option(ENABLE_SCE "enables Script Check Engine - an alternative checking engine that lets you use executables instead of OVAL for checks" ON)
endif()

# ---------- OVAL FEATURE SWITCHES

option(ENABLE_PROBES "build OVAL probes - each probe implements an OVAL test" TRUE)
set(SEAP_MSGID_BITS 32 CACHE STRING "Size of SEAP_msgid_t in bits [32|64]")
cmake_dependent_option(ENABLE_PROBES_INDEPENDENT "build OVAL probes for independent (cross platform) OVAL tests" ON "ENABLE_PROBES" OFF)
# On some platforms (Windows..) UNIX ends up being empty instead of "false"
set(IS_UNIX FALSE)
if (UNIX)
    set(IS_UNIX TRUE)
endif()
cmake_dependent_option(ENABLE_PROBES_UNIX "build OVAL probes for the UNIX OVAL tests" ${IS_UNIX} "ENABLE_PROBES" OFF)
string(COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Linux" IS_LINUX)
cmake_dependent_option(ENABLE_PROBES_LINUX "build OVAL probes for the Linux OVAL tests" ${IS_LINUX} "ENABLE_PROBES" OFF)
string(COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Solaris" IS_SOLARIS)
cmake_dependent_option(ENABLE_PROBES_SOLARIS "build OVAL probes for the Solaris OVAL tests" ${IS_SOLARIS} "ENABLE_PROBES" OFF)
set(IS_WIN32 FALSE)
if (WIN32)
    set(IS_WIN32 TRUE)
endif()
cmake_dependent_option(ENABLE_PROBES_WINDOWS "build OVAL probes for the Windows OVAL tests" ${IS_WIN32} "ENABLE_PROBES" OFF)

option(OPENSCAP_ENABLE_SHA1 "Enable using the SHA-1 algorithm" OFF)
option(OPENSCAP_ENABLE_MD5 "Enable using the MD5 algorithm" OFF)

# INDEPENDENT PROBES
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE "Independent environmentvariable probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE58 "Independent environmentvariable58 probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FAMILY "Independent family probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FILEHASH "Independent filehash probe" ON "ENABLE_PROBES_INDEPENDENT; CRYPTO_FOUND; OPENSCAP_ENABLE_SHA1; OPENSCAP_ENABLE_MD5; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FILEHASH58 "Independent filehash58 probe" ON "ENABLE_PROBES_INDEPENDENT; CRYPTO_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SQL "Independent sql probe" ON "ENABLE_PROBES_INDEPENDENT; OPENDBX_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SQL57 "Independent sql57 probe" ON "ENABLE_PROBES_INDEPENDENT; OPENDBX_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SYSTEM_INFO "Independent system info probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT "Independent textfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT54 "Independent textfilecontent54 probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_VARIABLE "Independent variable probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_XMLFILECONTENT "Independent xmlfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_YAMLFILECONTENT "Independent yamlfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; LIBYAML_FOUND; YAML_FILTER_FOUND; NOT WIN32" OFF)

# UNIX PROBES
cmake_dependent_option(OPENSCAP_PROBE_UNIX_DNSCACHE "Unix dnscache probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_FILE "Unix file probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_FILEEXTENDEDATTRIBUTE "Unix fileextendedattribute probe" ON "ENABLE_PROBES_UNIX; HAVE_SYS_XATTR_H OR HAVE_ATTR_XATTR_H OR HAVE_SYS_EXTATTR_H" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_GCONF "Unix gconf probe" OFF "ENABLE_PROBES_UNIX; GCONF_FOUND" OFF)

=== tests/sce/CMakeLists.txt ===
if(ENABLE_SCE)
	add_oscap_test("test_sce.sh")
	add_oscap_test("test_passing_vars.sh")
	add_oscap_test("test_check_engine_results.sh")
	add_oscap_test("test_sce_in_ds.sh")
	add_oscap_test("test_sce_in_report.sh")
	add_oscap_test("test_sce_stdout_stderr.sh")
	add_oscap_test("test_sce_streams_fill.sh")
endif()

=== tests/API/XCCDF/unittests/CMakeLists.txt ===
add_oscap_test_executable(test_oscap_common
	"test_oscap_common.c"
	${CMAKE_SOURCE_DIR}/src/common/util.c
	${CMAKE_SOURCE_DIR}/src/common/list.c
	${CMAKE_SOURCE_DIR}/src/common/error.c
	${CMAKE_SOURCE_DIR}/src/common/err_queue.c
	${CMAKE_SOURCE_DIR}/src/common/oscap_pcre.c
)

add_oscap_test_executable(test_xccdf_overrides
	"test_xccdf_overrides.c"
)

add_oscap_test_executable(test_xccdf_shall_pass
	test_xccdf_shall_pass.c
	unit_helper.c
)
target_link_libraries(test_xccdf_shall_pass openscap ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES} ${LIBXSLT_EXSLT_LIBRARIES} ${PCRE2_LIBRARIES} ${CURL_LIBRARIES} ${RPM_LIBRARIES})

if(PYTHONINTERP_FOUND)
	add_oscap_test("all_python.sh")
endif()

add_oscap_test("test_ansible_yaml_block_scalar.sh")
add_oscap_test("test_xccdf_shall_pass1.sh")
add_oscap_test("test_xccdf_shall_pass2.sh")
add_oscap_test("test_xccdf_shall_pass3.sh")
add_oscap_test("test_oscap_common.sh")
add_oscap_test("test_xccdf_overrides.sh")
add_oscap_test("test_xccdf_role_unscored.sh")
add_oscap_test("test_remediate_unresolved.sh")
add_oscap_test("test_empty_variable.sh")
add_oscap_test("test_fix_instance.sh")
add_oscap_test("test_xccdf_xml_escaping_value.sh")
add_oscap_test("test_xccdf_check_negate.sh")
add_oscap_test("test_xccdf_check_multi_check.sh")
add_oscap_test("test_xccdf_check_multi_check2.sh")
add_oscap_test("test_xccdf_check_multi_check_zero_definitions.sh")
add_oscap_test("test_xccdf_check_ocil.sh")
add_oscap_test("test_xccdf_check_content_ref_without_name_attr.sh")
add_oscap_test("test_xccdf_check_without_content_refs.sh")
add_oscap_test("test_xccdf_refine_rule.sh")
add_oscap_test("test_xccdf_refine_rule_refine.sh")
add_oscap_test("test_xccdf_fix_attr_export.sh")
add_oscap_test("test_xccdf_complex_check_and_notchecked.sh")
add_oscap_test("test_xccdf_check_processing_complex_priority.sh")
add_oscap_test("test_xccdf_check_processing_selector_bad.sh")
add_oscap_test("test_xccdf_check_processing_selector_empty.sh")
add_oscap_test("test_xccdf_check_processing_invalid_content_refs.sh")
add_oscap_test("test_xccdf_notchecked_has_check.sh")
add_oscap_test("test_xccdf_role_unchecked.sh")
add_oscap_test("test_xccdf_oval_absolute_path.sh")
add_oscap_test("test_xccdf_oval_relative_path.sh")
add_oscap_test("test_xccdf_selectors_cluster1.sh")
add_oscap_test("test_xccdf_selectors_cluster2.sh")
add_oscap_test("test_xccdf_selectors_cluster3.sh")
add_oscap_test("test_deriving_xccdf_result_from_oval.sh")
add_oscap_test("test_deriving_xccdf_result_from_oval2.sh")
add_oscap_test("test_oval_without_definition.sh")
add_oscap_test("test_deriving_xccdf_result_from_oval_multicheck.sh")
add_oscap_test("test_multiple_oval_files_with_same_basename.sh")
add_oscap_test("test_xccdf_check_unsupported_check_system.sh")
add_oscap_test("test_xccdf_multiple_testresults.sh")
add_oscap_test("test_default_selector.sh")
add_oscap_test("test_inherit_selector.sh")
add_oscap_test("test_xccdf_refine_value_bad.sh")
add_oscap_test("test_xccdf_resolve.sh")
add_oscap_test("test_xccdf_resolve_profile_platform.sh")
add_oscap_test("test_xccdf_results_arf_no_oval.sh")
add_oscap_test("test_xccdf_results_arf_asset.sh")
add_oscap_test("test_xccdf_sub_title.sh")
add_oscap_test("test_xccdf_test_system.sh")
add_oscap_test("test_profile_selection_by_suffix.sh")
add_oscap_test("test_unfinished.sh")
add_oscap_test("test_xccdf_transformation.sh")
add_oscap_test("test_single_rule.sh")
add_oscap_test("test_single_rule_stigw.sh")
add_oscap_test("test_remediation_simple.sh")
add_oscap_test("test_remediation_offline.sh")
add_oscap_test("test_remediation_kickstart.sh")
add_oscap_test("test_remediation_kickstart_raw.sh")
add_oscap_test("test_remediation_metadata.sh")
add_oscap_test("test_remediation_blueprint.sh")
add_oscap_test("test_remediation_bad_fix.sh")
add_oscap_test("test_remediation_subs_plain_text.sh")
add_oscap_test("test_remediation_subs_plain_text_empty.sh")
add_oscap_test("test_remediation_subs_value_refine_value.sh")
add_oscap_test("test_remediation_subs_value_take_first.sh")
add_oscap_test("test_remediation_subs_value_without_selector.sh")
add_oscap_test("test_remediation_subs_value_title.sh")
add_oscap_test("test_remediation_amp_escaping.sh")
add_oscap_test("test_remediation_xml_comments.sh")
add_oscap_test("test_remediation_cdata.sh")
add_oscap_test("test_remediation_subs_unresolved.sh")
add_oscap_test("test_remediation_fix_without_system.sh")
add_oscap_test("test_remediation_invalid_characters.sh")
add_oscap_test("test_remediate_simple.sh")
add_oscap_test("test_remediate_perl.sh")
add_oscap_test("test_report_check_with_empty_selector.sh")
add_oscap_test("test_report_without_xsl_fails_gracefully.sh")
add_oscap_test("test_report_without_oval_poses_no_errors.sh")
add_oscap_test("test_report_anaconda_fixes.sh")
add_oscap_test("test_report_anaconda_fixes_ds.sh")
add_oscap_test("test_fix_filtering.sh")
add_oscap_test("test_fix_script_header.sh")
add_oscap_test("test_fix_arf.sh")
add_oscap_test("test_fix_resultid_by_suffix.sh")
add_oscap_test("test_generate_fix_ansible_vars.sh")
add_oscap_test("test_xccdf_requires_conflicts.sh")
add_oscap_test("test_results_hostname.sh")
add_oscap_test("test_skip_rule.sh")
add_oscap_test("test_no_newline_between_select_elements.sh")
add_oscap_test("test_single_line_tailoring.sh")
add_oscap_test("test_reference.sh")

=== debian/changelog ===
openscap (1.4.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update license name for W3C.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 26 Oct 2024 06:13:16 +0200

openscap (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Upstream has bumped SONAME.
    - Rename lib package.
    - Update symbols file.
  * Refresh d/copyright.
  * Remove libopendbx1-dev as BD.
  * Remove CMake options that is now default.
  * Remove d/libopenscap-dev.dirs, not needed.
  * Stop installing /usr/share/openscap/cpe.
  * Update package descriptions.
  * Remove 'Provides' from Python package.
  * Change openscap-utils from 'linux-any' to 'all'.
  * python3-openscap: Remove explicit dependency on OpenSCAP library,
    this is found by shlibs.
  * Add d/clean, removes generated test files.
  * Add upstream contact information.
  * Add missing space in license field.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 24 Aug 2024 16:44:26 +0200

=== debian/control ===
Source: openscap
Section: admin
Priority: optional
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.22.5),
               libacl1-dev,
               libattr1-dev,
               libblkid-dev,
               libbz2-dev,
               libcap-dev [linux-any],
               libcurl4-openssl-dev | libcurl4-gnutls-dev,
               libdbus-1-dev,
               libgcrypt-dev,
               libglib2.0-dev,
               libldap2-dev,
               libpcre2-dev,
               libpopt-dev,
               libpython3-all-dev,
               librpm-dev,
               libselinux1-dev [linux-any],
               libxml-parser-perl <!nocheck>,
               libxml-xpath-perl <!nocheck>,
               libxml2-dev,
               libxmlsec1-dev,
               libxslt1-dev,
               libyaml-dev,
               perl-xs-dev,
               pkgconf,
               python3-all-dev:native,
               python3-pytest <!nocheck>,
               swig,
Build-Depends-Indep: asciidoc,
                     doxygen,
                     graphviz,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.open-scap.org/
Vcs-Browser: https://salsa.debian.org/debian/openscap
Vcs-Git: https://salsa.debian.org/debian/openscap.git

Package: libopenscap-dev
Section: libdevel
Architecture: linux-any
Depends: libopenscap33 (= ${binary:Version}),
         ${misc:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Development files
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the development files for OpenSCAP.

Package: libopenscap33
Section: libs
Architecture: linux-any
Conflicts: libopenscap8,
Replaces: libopenscap8,
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains libraries for OpenSCAP.

Package: python3-openscap
Section: python
Architecture: linux-any
Depends: python3-docker,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Python 3 bindings
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Python bindings for OpenSCAP.

Package: libopenscap-perl
Section: perl
Architecture: linux-any
Depends: libopenscap33 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Perl bindings
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Perl bindings for OpenSCAP.

Package: openscap-scanner
Architecture: linux-any
Depends: libopenscap33 (= ${binary:Version}),
         openscap-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: openscap-doc,
Description: OpenScap Scanner Tool (oscap)
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains oscap command-line tool, configuration and
 vulnerability scanner. It can use for compliance checking with SCAP contents.

Package: openscap-utils
Architecture: all
Depends: openscap-scanner (>= ${source:Version}),
         python3-openscap (>= ${source:Version}),
         rpm,
         ${misc:Depends},
         ${python3:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Utility programs
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains command line utilities.

Package: openscap-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libopenscap8 (<< 1.3.5),
Replaces: libopenscap8 (<< 1.3.5),
Description: OpenSCAP schema files
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains schema files.

Package: openscap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: libraries enabling integration of the SCAP line of standards - Documentation
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains documentation.

## openscap 1.4.1%2Bdfsg

=== debian/changelog ===
openscap (1.4.1+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:10:24 +0000

openscap (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add oscap-im in utils package.
  * Bump copyright years.
  * Apply multi-arch hints for library.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 18 Jan 2025 17:44:07 +0100

=== debian/control ===
--- 
+++ 
@@ -65,6 +65,7 @@
 Package: libopenscap33
 Section: libs
 Architecture: linux-any
+Multi-Arch: same
 Conflicts: libopenscap8,
 Replaces: libopenscap8,
 Pre-Depends: ${misc:Pre-Depends},

## openscap 1.4.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 project("openscap")
 set(OPENSCAP_VERSION_MAJOR "1")
 set(OPENSCAP_VERSION_MINOR "4")
-set(OPENSCAP_VERSION_PATCH "0")
+set(OPENSCAP_VERSION_PATCH "1")
 
 if(OPENSCAP_VERSION_SUFFIX)
 	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}_${OPENSCAP_VERSION_SUFFIX}")
@@ -26,7 +26,7 @@
 set(LT_CURRENT 33)
 
 ## increment any time the source changes; set 0 to if you increment CURRENT
-set(LT_REVISION 0)
+set(LT_REVISION 1)
 
 ## increment if any interfaces have been added; set to 0
 ## if any interfaces have been changed or removed. removal has
@@ -78,6 +78,7 @@
 include(CheckIncludeFiles)
 include(CheckCSourceCompiles)
 include(CMakeDependentOption)
+include(FindPythonModule)
 
 # ---------- DEPENDENCIES
 
@@ -126,6 +127,8 @@
 
 set(PREFERRED_PYTHON_PATH "${PYTHON_EXECUTABLE}" CACHE PATH "Path to preferred Python")
 set(PYTHON3_PATH "${PYTHON_EXECUTABLE}" CACHE PATH "Path to Python3")
+
+find_python_module(pytest)
 
 find_package(RPM)
 if(RPM_FOUND)

=== src/CMakeLists.txt ===
add_subdirectory("common")
add_subdirectory("CPE")
add_subdirectory("DS")
add_subdirectory("OVAL")
if(ENABLE_SCE)
	add_subdirectory("SCE")
endif()
add_subdirectory("source")
add_subdirectory("XCCDF")
add_subdirectory("XCCDF_POLICY")

set(OBJECTS_TO_LINK_AGAINST
	$<TARGET_OBJECTS:common_object>
	$<TARGET_OBJECTS:cpe_object>
	$<TARGET_OBJECTS:ds_object>
	$<TARGET_OBJECTS:oscapsource_object>
	$<TARGET_OBJECTS:oval_object>
	$<TARGET_OBJECTS:ovaladt_object>
	$<TARGET_OBJECTS:ovalcmp_object>
	$<TARGET_OBJECTS:ovalresults_object>
	$<TARGET_OBJECTS:rbt_object>
	$<TARGET_OBJECTS:xccdf_object>
	$<TARGET_OBJECTS:xccdfPolicy_object>
)
if (TARGET "compat_object")
	list(APPEND OBJECTS_TO_LINK_AGAINST $<TARGET_OBJECTS:compat_object>)
endif()
if (TARGET "yamlfilter_object")
	list(APPEND OBJECTS_TO_LINK_AGAINST $<TARGET_OBJECTS:yamlfilter_object>)
endif()
if (ENABLE_PROBES)
	list(APPEND OBJECTS_TO_LINK_AGAINST
		$<TARGET_OBJECTS:probe_object>
		$<TARGET_OBJECTS:seap_object>
	)
	if (ENABLE_PROBES_INDEPENDENT)
		list(APPEND OBJECTS_TO_LINK_AGAINST
			$<TARGET_OBJECTS:independent_probes_object>
		)
	endif()
	if (ENABLE_PROBES_UNIX)
		list(APPEND OBJECTS_TO_LINK_AGAINST
			$<TARGET_OBJECTS:unix_probes_object>
		)
		if (ENABLE_PROBES_LINUX)
			list(APPEND OBJECTS_TO_LINK_AGAINST
				$<TARGET_OBJECTS:linux_probes_object>
			)
		endif()
		if (ENABLE_PROBES_SOLARIS)
			list(APPEND OBJECTS_TO_LINK_AGAINST
				$<TARGET_OBJECTS:solaris_probes_object>
			)
		endif()
	endif()
	if (ENABLE_PROBES_WINDOWS)
		list(APPEND OBJECTS_TO_LINK_AGAINST
			$<TARGET_OBJECTS:windows_probes_object>
		)
	endif()
endif()
if (HAVE_MMAN_H AND (GCRYPT_FOUND OR NSS_FOUND))
	list(APPEND OBJECTS_TO_LINK_AGAINST
		$<TARGET_OBJECTS:crapi_object>
	)
endif()

add_library(openscap SHARED ${OBJECTS_TO_LINK_AGAINST})

# default symbol visibility is hidden
# exported symbols must be marked by OSCAP_API
set_target_properties(openscap PROPERTIES
	VERSION ${SONAME}
	SOVERSION ${SOVERSION}
	C_VISIBILITY_PRESET hidden
)

target_link_libraries(openscap ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES} ${XMLSEC_LIBRARIES} ${OPENSSL_LIBRARIES} ${LIBXSLT_EXSLT_LIBRARIES} ${PCRE2_LIBRARIES} ${CURL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
if (BZIP2_FOUND)
	target_link_libraries(openscap ${BZIP2_LIBRARIES})
endif()
if(RPM_FOUND)
	target_link_libraries(openscap ${RPM_LIBRARIES})
endif()
if(WIN32)
	target_link_libraries(openscap wsock32 ws2_32 iphlpapi netapi32 wbemuuid)
endif()
if (GCRYPT_FOUND)
	target_link_libraries(openscap ${GCRYPT_LIBRARIES})
endif()
if (NSS_FOUND)
	target_link_libraries(openscap ${NSS_LIBRARIES})
endif()
if(OPENDBX_FOUND)
	target_link_libraries(openscap ${OPENDBX_LIBRARIES})
endif()
if(GCONF_FOUND)
	target_link_libraries(openscap ${GCONF_LIBRARIES})
endif()
if(SELINUX_FOUND)
	target_link_libraries(openscap ${SELINUX_LIBRARIES})
endif()
if(PROCPS_FOUND)
	target_link_libraries(openscap ${PROCPS_LIBRARIES})
endif()
if(BLKID_FOUND)
	target_link_libraries(openscap ${BLKID_LIBRARIES})
endif()
if(DBUS_FOUND)
	target_link_libraries(openscap ${DBUS_LIBRARIES})
endif()
if(ACL_FOUND)
	target_link_libraries(openscap ${ACL_LIBRARY})
endif()
if(CAP_FOUND)
	target_link_libraries(openscap ${CAP_LIBRARIES})
endif()
if(LIBYAML_FOUND)
	target_link_libraries(openscap ${LIBYAML_LIBRARIES})
endif()

if(WIN32)
	set(OPENSCAP_INSTALL_DESTINATION ".")
else()
	set(OPENSCAP_INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

install(TARGETS openscap DESTINATION ${OPENSCAP_INSTALL_DESTINATION})

=== src/XCCDF_POLICY/CMakeLists.txt ===
file(GLOB_RECURSE XCCDF_POLICY_SOURCES "*.c")
file(GLOB_RECURSE XCCDF_POLICY_HEADERS "*.h")
file(GLOB_RECURSE PUBLIC_HEADERS "public/*.h")

add_library(xccdfPolicy_object OBJECT ${XCCDF_POLICY_SOURCES} ${XCCDF_POLICY_HEADERS})
set_oscap_generic_properties(xccdfPolicy_object)

install(FILES ${PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/openscap)

=== tests/DS/CMakeLists.txt ===
add_oscap_test("test_ds_misc.sh")
add_oscap_test("test_rds.sh")
add_oscap_test("test_sds_eval.sh")
add_oscap_test("test_sds_fix_from_results.sh")
add_oscap_test("test_sds_fix_from_source.sh")
add_oscap_test("test_ds_use_local_remote_resources.sh")

add_subdirectory("ds_sds_index")
add_subdirectory("schematron")
add_subdirectory("sds_detect_version")
add_subdirectory("signed")
add_subdirectory("validate")
add_subdirectory("ds_without_cpe_dict")

=== tests/common/CMakeLists.txt ===
add_oscap_test_executable(test_oscap_util
	"test_oscap_util.c"
	${CMAKE_SOURCE_DIR}/src/common/util.c
	${CMAKE_SOURCE_DIR}/src/common/error.c
	${CMAKE_SOURCE_DIR}/src/common/err_queue.c
)

add_oscap_test("test_oscap_util.sh")

=== tests/nist/CMakeLists.txt ===
if(PYTHONINTERP_FOUND)
	# nist test request the test_worker.py script
	add_oscap_test("nist_test.sh")
endif()

=== tests/API/OVAL/CMakeLists.txt ===
add_oscap_test_executable(test_api_oval "test_api_oval.c")
add_oscap_test_executable(test_api_syschar "test_api_syschar.c")
add_oscap_test_executable(test_api_results "test_api_results.c")
add_oscap_test_executable(test_api_directives "test_api_directives.c")

add_oscap_test("test_api_oval.sh")

add_subdirectory("glob_to_regex")
add_subdirectory("report_variable_values")
add_subdirectory("schema_version")
add_subdirectory("skip_paths")
add_subdirectory("unittests")
add_subdirectory("validate")

=== tests/API/SEAP/CMakeLists.txt ===
add_oscap_test_executable(test_api_seap_concurency "test_api_seap_concurency.c")
target_link_libraries(test_api_seap_concurency ${CMAKE_THREAD_LIBS_INIT})
add_oscap_test_executable(test_api_seap_list "test_api_seap_list.c")
add_oscap_test_executable(test_api_seap_number "test_api_seap_number.c")
add_oscap_test_executable(test_api_seap_spb "test_api_seap_spb.c" "${CMAKE_SOURCE_DIR}/src/OVAL/probes/SEAP/generic/spb.c")
target_include_directories(test_api_seap_spb PUBLIC ${CMAKE_SOURCE_DIR}/src/OVAL/probes/SEAP/generic)
add_oscap_test_executable(test_api_seap_string "test_api_seap_string.c")
add_oscap_test_executable(test_api_SEXP_deepcmp "test_api_SEXP_deepcmp.c")
add_oscap_test_executable(test_api_strto "test_api_strto.c")
target_include_directories(test_api_strto PUBLIC ${CMAKE_SOURCE_DIR}/src/OVAL/probes/SEAP/generic)

add_oscap_test("test_api_seap.sh")

=== tests/API/probes/CMakeLists.txt ===
add_oscap_test_executable(test_api_probes_smoke
	"test_api_probes_smoke.c"
	"${CMAKE_SOURCE_DIR}/src/common/memusage.c"
	"${CMAKE_SOURCE_DIR}/src/common/bfind.c"
)
target_include_directories(test_api_probes_smoke PUBLIC
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes"
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes/public"
	"${CMAKE_SOURCE_DIR}/src/common"
)
add_oscap_test("test_api_probes_smoke.sh")

add_oscap_test_executable(test_fsdev_is_local_fs
	"test_fsdev_is_local_fs.c"
)
target_include_directories(test_fsdev_is_local_fs PUBLIC
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes"
)
add_oscap_test("test_fsdev_is_local_fs.sh")

file(GLOB_RECURSE OVAL_RESULTS_SOURCES "${CMAKE_SOURCE_DIR}/src/OVAL/results/oval_cmp*.c")
add_oscap_test_executable(oval_fts_list
	"oval_fts_list.c"
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes/fsdev.c"
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes/oval_fts.c"
	"${CMAKE_SOURCE_DIR}/src/common/error.c"
	"${CMAKE_SOURCE_DIR}/src/common/err_queue.c"
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes/probe/entcmp.c"
	"${CMAKE_SOURCE_DIR}/src/common/util.c"
	"${CMAKE_SOURCE_DIR}/src/common/oscap_pcre.c"
	"${OVAL_RESULTS_SOURCES}"
)
target_include_directories(oval_fts_list PUBLIC
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes"
	"${CMAKE_SOURCE_DIR}/src/OVAL/results"
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes/probe"
	"${CMAKE_SOURCE_DIR}/src/OVAL/probes/public"
	"${CMAKE_SOURCE_DIR}/src/common"
)
target_link_libraries(oval_fts_list openscap)
add_oscap_test("fts.sh")

add_oscap_test_executable(test_memusage
	"test_memusage.c"
	"${CMAKE_SOURCE_DIR}/src/common/bfind.c"
)
target_include_directories(test_memusage PUBLIC
	"${CMAKE_SOURCE_DIR}/src/common"
)
add_oscap_test("test_memusage.sh")

=== tests/probes/xmlfilecontent/CMakeLists.txt ===
if(OPENSCAP_PROBE_INDEPENDENT_XMLFILECONTENT)
	add_oscap_test("test_xmlfilecontent_probe.sh")
endif()

=== src/OVAL/probes/independent/CMakeLists.txt ===
if(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"environmentvariable_probe.c"
		"environmentvariable_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE58)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"environmentvariable58_probe.c"
		"environmentvariable58_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_FAMILY)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"family_probe.c"
		"family_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_FILEHASH)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"filehash_probe.c"
		"filehash_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_FILEHASH58)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"filehash58_probe.c"
		"filehash58_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_SQL)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"sql_probe.c"
		"sql_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_SQL57)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"sql57_probe.c"
		"sql57_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_SYSTEM_INFO)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"system_info_probe.c"
		"system_info_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"textfilecontent_probe.c"
		"textfilecontent_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT54)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"textfilecontent54_probe.c"
		"textfilecontent54_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_VARIABLE)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"variable_probe.c"
		"variable_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_XMLFILECONTENT)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"xmlfilecontent_probe.c"
		"xmlfilecontent_probe.h"
	)
endif()

if(OPENSCAP_PROBE_INDEPENDENT_YAMLFILECONTENT)
	list(APPEND INDEPENDENT_PROBES_SOURCES
		"yamlfilecontent_probe.c"
		"yamlfilecontent_probe.h"
	)
endif()

add_library(independent_probes_object OBJECT ${INDEPENDENT_PROBES_SOURCES})
set_oscap_generic_properties(independent_probes_object)

=== tests/probes/rpm/rpmverifyfile/CMakeLists.txt ===
if(ENABLE_PROBES_LINUX)
	add_oscap_test("test_probes_rpmverifyfile.sh")
	add_oscap_test("test_probes_rpmverifyfile_older.sh")
	add_oscap_test("test_probes_rpmverifyfile_offline.sh")
endif()

## openscap 1.4.2%2Bdfsg

=== docs/CMakeLists.txt ===
if(ENABLE_DOCS)
    add_custom_target(docs ALL
        COMMENT "Generating documentation and manuals in HTML format"
    )

    if(DOXYGEN_FOUND)
        # set input and output files
        set(DOXYGEN_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
        set(DOXYGEN_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

        # configure for graphviz
        set(DOXYGEN_DIAGRAM "NO")
        if(DOXYGEN_DOT_FOUND)
            set(DOXYGEN_DIAGRAM "YES")
        endif()

        # request to configure the file
        configure_file(${DOXYGEN_IN} ${DOXYGEN_OUT} @ONLY)

        # note the option ALL which allows to build the docs together with the application
        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/html"
            DEPENDS ${DOXYGEN_OUT}
            COMMAND "${DOXYGEN_EXECUTABLE}" "${DOXYGEN_OUT}"
            WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
            COMMENT "Generating API documentation with Doxygen"
        )
        add_custom_target(
            doxygen_docs
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/html"
        )
        add_dependencies(docs doxygen_docs)
        install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
            DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        )
    endif()

    if(ASCIIDOC_EXECUTABLE)
        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/manual/manual.html"
            DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/manual/manual.adoc" "${CMAKE_CURRENT_SOURCE_DIR}/manual/images"
            COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/manual"
            COMMAND "${ASCIIDOC_EXECUTABLE}" -b html5 -o "${CMAKE_CURRENT_BINARY_DIR}/manual/manual.html" "${CMAKE_CURRENT_SOURCE_DIR}/manual/manual.adoc"
            COMMAND ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/manual/images" "${CMAKE_CURRENT_BINARY_DIR}/manual/images"
            COMMENT "Generating OpenSCAP User Manual in HTML format"
        )
        add_custom_target(
            user_manual
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/manual/manual.html"
        )
        install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/manual"
            DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        )

        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/developer/developer.html"
            DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/developer/developer.adoc"
            COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/developer"
            COMMAND "${ASCIIDOC_EXECUTABLE}" -b html5 -o "${CMAKE_CURRENT_BINARY_DIR}/developer/developer.html" "${CMAKE_CURRENT_SOURCE_DIR}/developer/developer.adoc"
            COMMENT "Generating OpenSCAP Developer Manual in HTML format"
        )
        add_custom_target(
            developer_manual
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/developer/developer.html"
        )
        # We are not installing the OpenSCAP Developer manual because it does not
        # make any sense to install this for end-users.

        add_custom_command(
            OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/contribute/contribute.html" "${CMAKE_CURRENT_BINARY_DIR}/contribute/testing.html" "${CMAKE_CURRENT_BINARY_DIR}/contribute/versioning.html"
            DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/contribute/contribute.adoc" "${CMAKE_CURRENT_SOURCE_DIR}/contribute/testing.adoc" "${CMAKE_CURRENT_SOURCE_DIR}/contribute/versioning.adoc"
            COMMAND ${CMAKE_COMMAND} -E make_directory "${CMAKE_CURRENT_BINARY_DIR}/contribute"
            COMMAND "${ASCIIDOC_EXECUTABLE}" -b html5 -o "${CMAKE_CURRENT_BINARY_DIR}/contribute/contribute.html" "${CMAKE_CURRENT_SOURCE_DIR}/contribute/contribute.adoc"
            COMMAND "${ASCIIDOC_EXECUTABLE}" -b html5 -o "${CMAKE_CURRENT_BINARY_DIR}/contribute/testing.html" "${CMAKE_CURRENT_SOURCE_DIR}/contribute/testing.adoc"
            COMMAND "${ASCIIDOC_EXECUTABLE}" -b html5 -o "${CMAKE_CURRENT_BINARY_DIR}/contribute/versioning.html" "${CMAKE_CURRENT_SOURCE_DIR}/contribute/versioning.adoc"
            COMMENT "Generating contribute documentation in HTML format"
        )
        add_custom_target(
            contribute_docs
            DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/contribute/contribute.html" "${CMAKE_CURRENT_BINARY_DIR}/contribute/testing.html" "${CMAKE_CURRENT_BINARY_DIR}/contribute/versioning.html"
        )
        # We are not installing the contribute documentation because it does not
        # make any sense to install this for end-users.

        add_dependencies(docs user_manual developer_manual contribute_docs)
    endif()
endif()

=== tests/probes/file/CMakeLists.txt ===
if(ENABLE_PROBES_UNIX)
	add_oscap_test("test_probes_file.sh")
	add_oscap_test("test_probes_file_behaviour.sh")
	add_oscap_test("test_probes_file_multiple_file_paths.sh")
endif()

=== tests/API/OVAL/skip_paths/CMakeLists.txt ===
add_oscap_test("test_skip_paths.sh")
add_oscap_test("test_skip_paths_offline.sh")

=== debian/changelog ===
openscap (1.4.2+dfsg-1ubuntu2) questing; urgency=medium

  * Fix signature code with xmlsec1 1.3.7 and re-enable the tests.
    (LP: #2111789)
    - d/p/fix-signature-xmlsec-1.3.patch

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 28 Jul 2025 13:56:42 +0200

openscap (1.4.2+dfsg-1ubuntu1) questing; urgency=medium

  * Disable signature tests because of current failures with xmlsec1 1.3.7
    (LP: #2111789)
    - d/p/skip-signature-test.patch

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 11 Jun 2025 18:48:25 +0200

openscap (1.4.2+dfsg-1build2) questing; urgency=medium

  * No-change rebuild for libxmlsec soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:10:16 +0200

openscap (1.4.2+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:23:40 +0200

openscap (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2, no changes needed,
  * Apply multi-arch hints for development package,
  * Only reference LGPL* licenses from '/usr/share/common-licenses',

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 08 Apr 2025 20:06:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openscap
 Section: admin
 Priority: optional
-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-python,
@@ -35,7 +36,7 @@
 Build-Depends-Indep: asciidoc,
                      doxygen,
                      graphviz,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/
 Vcs-Browser: https://salsa.debian.org/debian/openscap
@@ -44,6 +45,7 @@
 Package: libopenscap-dev
 Section: libdevel
 Architecture: linux-any
+Multi-Arch: same
 Depends: libopenscap33 (= ${binary:Version}),
          ${misc:Depends},
 Suggests: openscap-doc,
